.TH Editor 1 "" ""
.SH NAME
rxedit 2.0 - text editor for XWindows
.SH SYNTAX
rxedit
[-f(ont) Fontname] [-s(ize) KB]
 [+i(ndent)] [-c(onfig_save)]
 [+d(uplicate save)] [-w(ordwrap)]
 [-b(lanks compress)]
 [-t(ab)4] [-l(ine_length)75]
 [-disp Display] [-geom Geometry]
 [-k filename]
 [+position] filename ...
.SH DESCRIPTION
This editor is a simple, but powerful editor to run under XWindows.
It features an intuitive user surface with mouse support, multiple
file editing, formatting service and makros.
.SH OPTIONS
rxedit accepts the following options.
.TP 8
-b|+b
Surpresses blanks and tabs at line ends.
.TP 8
-c|+c
With this option, the configuration of the session is saved (on
editor.cfg). The next start of the editor will reload the
configuration. Remove editor.cfg to stop this.
.TP 8
+d|-d
Chooses duplicate save. The opriginal file is renamed *.bak.
.TP 8
-disp Display
Chooses the XWindow display.
.TP 8
-f Fontname
The Font must be non-proportional (Like 8x13).
.TP 8
-geom Geometry
Sets the Window geometry in Pixels.
.TP 8
-i|+i
Sets automatic indentation on or off.
.TP 8
-l linelength
Sets the linelength for the wordwrap feature.
.TP 8
-s Number
Since the editor reserves a fixed portion of memory, the memory size can
be adjusted with this option. However, it is possible to enlarge it
during runtime.
.TP 8
-t tabsize
Sets the tabsize.
.TP 8
-w|+w
Switches wordwrap on or off. If on, the cursor moves to the next line
after the line length has been exceeded.
.TP 8
-k filename
Loads a keyboard translation table and switches the translation on.
The table contains lines. The first character of the line is replaced
by the rest of the line, whenever the character is entered through
the keyboard. The translation may be switched off by an option
(ALT-O).
.TP 8
[+position] filename
Loads the file. If a position is given, the cursor is positioned into
the corresponding line. The file may be new.
.SH EXAMPLE
e -geom 500x500+0+0 -disp unix:0 -fond 8x13 +w +b test.txt
.SH OPERATION
.PP
.SH WARNING !!!
No editor gives you a no-crash guarantee. Therefore it is a good idea to
save the files every now and then, especially before major operations.
Use "Save all" (F8) for saving all updated files. If you want to keep
the original files untouched, "Crash save" (Control-F7,Control-S) saves
the files with an extension ".save".
.PP
.SH Pointer usage
You can use the mouse to
.TP 8
-
Position the cursor (left button).
.TP 8
-
Mark the start and end of a block (middle button).
.TP 8
-
Call the menu (right button or buttom area).
.TP 8
-
Scroll through the text. Click on the arrows for up and down
movement. Click above or below the scroll bar for paging. Drag the
scroll bar to scroll through the text (i.e., click into the scroll bar
and hold down the button).
.PP
.SH Keyboard usage
The normal keys act as expected. In insert mode they
insert the key at the cursor position. In overwrite mode they
overwrite the character at cursor position. You can enter special
characters by their ASCII value with the menu option "Insert ASCII" or
Alt-A.
.TP 8
return
Splits the lines. Control-return places the cursor to the start of the
next line.
.TP 8
arrow keys and paging keys
The arrow keys may be used with shift and control. Simply try them
out.
.TP 8
backspace, delete
Deletes characters.
.TP 8
insert
Toggles between insert and overwrite mode.
.TP 8
escape
Calls the menu.
.PP
Other keys are shurtcuts for menu items. You should browse through any
of the menus to learn them.
.SH The Menus
The Escape key brings up the main menu. You can choose a submenu with
the mouse or the up and down key plus return. Most menu points are
self explaining. You should also observe the shurtcut for the
specified menu item.
.SH Dialogs
Some commands require an input. A dialog box will appear and you can
enter the requested text. The default text is cancelled with the
first keystroke (unless it is the Enter or Backspace key). Escape does
also cancel the input. In alert boxes the user is required to make
a choice. The default button has two rectangles around it. You can make
this choice with the keyboard (first letter) or the mouse. Return chooses
the default button.
.SH Files
You can load a file with a command line option, with the "Load ..."
menu entry (S-F1), or with the "Overload ..." (S-F6) entry. You can
save it with "Save" (S-F2), with "Save as" (S-F3) under a different
file name, with "Save with Backup" (S-F4), or you can save all updated
files with "Save all" (F8). Saving may fail, if you have no write
access to the specified file ot directory. You can remove a file from
the editor with "Close" (S-F9).
.PP
You can switch from file to file with "Cycle Windows" (F7, Control-W)
or with "Find Window" (F6).
.SH Blocks
Blocks are marked with the middle mouse button or with "Block start"
(Control-F1) and "Block end" (Control-F2). They can be copied
(Control-F3) or moved (Control-F4) within a file or to a different
file. Control-F5 deletes a block, wich can be undone with "Undo"
(Control-U, Alt-U). Control-F6 undefines a block. You can save or load
blocks with the corresponding menu items.
.SH Search, Search and Replace
A search (F1) or search and replace (F2) can be restarted with "Again"
(F3). You can enter special characters into the search or replace text
using \\x?? for hexadecimal input or \\d??? for decimal input. Searching
or replacing can be restricted to the block by the option B. The
option G starts a global search (normally form the cursor), and option
I ignores upper or lower case. R??? and L??? specifies right and left
margins for the search.
.PP
"Link" (F4) is a special search process. It picks the word at current
cursor position and searches for it globally. However, any "<" in the
word is replaced with ">" and vice versa. This allows references to a
single position. If the pattern is if the form ">xxxx~yyyy", "xxxx" is
interpreted as a file name. That file must be loaded.
.PP
The editor allows setting of markers (Alt-1 to Alt-4). Then Alt-5 to
Alt-8 will jump to the corresponding marker. Of course "Goto line ..."
(F9) will jump to the specified line number.
.SH Makros
Makro recording is started with "Record" (Control-F10). The first
character is the makro key and following characters represent the
makro. Right now, only printable characters, Enter and Cursor left can
be recorded. Call a makro with "Makro" (F10) plus the makro key. You
can save your makros to a file named "makros". This file is loaded
automatically at the start.
.SH Formatting
"Format Paragraph" (Control-F8) formats a paragraph and "Format Block"
(Control-F9) a block according to the specified line length. The
paragraph format stops at lines, which start with space or tab.
.SH Options
The "Options ..." menu (Alt-O) lets you determine, if the editor
should delete blanks or tabs at line ends (B+), if wordwrap is used
(W+) or indentation (I+), and the tab size (T???), and the line length
(L???) can be adjusted.
.SH Exiting
"Abort" (Control-C) will exit the editor without saving the files.
"Exit" (Control-X, Control-Q) will save all updated files first. If
XWindow crashes or you close the editor window, all updated files will
be saved on their file names with ".save" extension (This can also be
accomplished with the "Crash Save" menu entry).
.bp
.SH Keyboard summary
.SH Function keys
    F1    Search (Alt-f)
    F2    Search and replace (Alt-r)
    F3    Again (Alt-g)
    F4    Link
    F5    Find closing bracket
    F6    Find file
    F7    Switch window (Alt-w)
    F8    Save all
    F9    Goto line
    F10   Makro
.SH With shift
    F1    Load file (Alt-n)
    F2    Save File (Alt-s)
    F3    Duplicate save (Alt-b)
    F4    Save as (Alt-m)
    F5    Delete line (Control-Backspace)
    F6    Overload
    F7    Load block
    F8    Save block
    F9    Close file (Alt-x)
    F10   Close all files
.SH With control
    F1    Start block
    F2    End block
    F3    Copy block
    F4    Move block
    F5    Delete block
    F6    Undefine block
    F7    Crash save (^S)
    F8    Format Paragraph
    F9    Format Block
    F10   Makro record
.SH Other keys
    Esc         Menu
    Control-X   End rxedit
    Control-C   Abort rxedit
    Control-cr  One word right
    Control-cl  One word left
    Control-cu  To start of file
    Control-cd  To end of file
    Alt-j       Shift block left
    Alt-k       Shift block right
    Alt-u       Undo
    Alt-p       Format paragraph
    Alt-i       Character information
    Alt-a       Insert ACSII character
    Alt-t       Check text for brackets
    Alt-y       Delete line (Alt-Backspace)
    Shift-cr    To end of line
    Shift-cl    To start of line
    Shift-cu    Half page up
    Shift-cd    Half page down
    Insert      Toggle insert/overwrite
